Bug 41606 - x11/XFree86-4 metaport: if make target is 'package', make indiv pkgs (POLA)
Summary: x11/XFree86-4 metaport: if make target is 'package', make indiv pkgs (POLA)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Anholt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-13 09:30 UTC by Alan E
Modified: 2003-01-09 22:16 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1019 bytes, patch)
2002-08-13 09:30 UTC, Alan E
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-08-13 09:30:02 UTC
It is reasonable that if the user did a make package on the metaport, that
(s)he would expect that individual ports would have packages made. I made this
same patch for the kde3 metaport after speaking with some non-developer users
and consulting with will.

Should go in pre-4.7.

This patch also forces a recursive make clean to solve "abnormal" make failures
that are reported from time to time by users (like "it skipped package X").
This is temporary until a bsd.port.mk fix is committed (RSN).

Finally, removes extra whitespace that makes portlint bitch.

Fix: ==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-14 04:42:17 UTC
Responsible Changed
From-To: freebsd-ports->anholt

Over to maintainer(s)
Comment 2 Eric Anholt freebsd_committer 2003-01-09 22:15:58 UTC
State Changed
From-To: open->closed

This patch had been almost completely committed, and I don't think the remaining part 
(pre-everything: clean) would be good.